Mystique 3.3.2 WordPress 3.5.1

>>Mystique 3.3.2 WordPress 3.5.1

Wie den meisten bekannt ist nutze ich WordPress als Blog-Engine. Einer der größten negativen Aspekte ist die Sicherheit. Man sollte muss immer auf dem aktuellsten Stand sein, da Exploits sehr schnell verwendet werden.

Darum hab ich schön fleißig Backup gemacht und mein Blog auf WordPress 3.5.1 aktualisiert, was eigentlich nur ein Sicherheitsupdate war/ist.

Als Theme verwende ich Mystique von digitalnature. Nach dem Update gab es ein Javascript Konflikt… OK, gibt es öfters da ich einige Plugins verwende. Normale Vorgehensweise ist alle Plugins zu deaktivieren und nacheinander wieder zu aktivieren. Leider war der Fehler immer noch vorhanden als ich alle Plugins deaktiviert habe.

Problem ist das Mystique viel mit jQuery arbeitet und somit einige Funktionen im Blog nicht mehr gegeben waren.

Nachdem ich die Panik in den Griff hatte begab ich mich auf die Fehlersuche. Über das Forum auf digitalnature war das Problem wohl bekannt, Lösung war aber nicht klar. Über einen französischen Blog hab ich die Lösung gefunden.

Ein Fehler in der Datei wp-content/themes/mystique/atom-hooks.php ist der Grund. Genauer gesagt && / OR war fehlerhaft. Einfach folgende Zeile ersetzen und (wie es scheint) funktioniert:

By |2018-01-16T07:26:03+00:002013-02-12|Allgemein|